/etc/trove/*.conf need creating

Bug #1308543 reported by Tom Fifield on 2014-04-16
54
This bug affects 10 people
Affects Status Importance Assigned to Milestone
openstack-trove (Ubuntu)
High
Unassigned
Trusty
High
Unassigned
Utopic
High
Unassigned

Bug Description

The following files should be created by their appropriate packages, using the sample configuration found upstream, or some other blessed configuration.

api-paste.ini, in particular, should be able to be distributed as-is. It's typically not a user edited file, and is necessary for trove-api to work.

root@controller:~# ls -l /etc/trove/
total 20
-rw-r--r-- 1 root root 1357 Apr 16 13:23 api-paste.ini
-rw-r--r-- 1 root root 1302 Apr 16 12:32 trove-conductor.conf
-rw-r--r-- 1 root root 755 Apr 16 13:11 trove.conf
-rw-r--r-- 1 root root 5735 Apr 16 12:35 trove-taskmanager.conf

root@controller:~# dpkg -L trove-api | grep etc
/etc
/etc/logrotate.d
/etc/logrotate.d/trove-api
/etc/init
/etc/init/trove-api.conf
root@controller:~# dpkg -L trove-common | grep etc
/etc
/etc/trove
root@controller:~# dpkg -L trove-taskmanager | grep etc
/etc
/etc/logrotate.d
/etc/logrotate.d/trove-taskmanager
/etc/init
/etc/init/trove-taskmanager.conf

Tom Fifield (fifieldt) wrote :

Confirmed by trove developers

Changed in openstack-trove (Ubuntu):
status: New → Confirmed
Changed in openstack-manuals:
importance: Undecided → High
Anne Gentle (annegentle) on 2014-06-10
Changed in openstack-manuals:
status: New → Confirmed
James Page (james-page) on 2014-07-21
Changed in openstack-trove (Ubuntu Utopic):
status: Confirmed → Fix Committed
importance: Undecided → High
Changed in openstack-trove (Ubuntu Trusty):
importance: Undecided → High
status: New → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openstack-trove - 2014.2~b1-0ubuntu1

---------------
openstack-trove (2014.2~b1-0ubuntu1) utopic; urgency=medium

  [ Chuck Short ]
  * d/control,trove-conductor.{install,logrotate,upstart}:
    Add conductor package (LP: #1308523).
  * d/trove-common.install: Install the correct configuration files
    (LP: #1308543).
  * Split out the daemons into their binary packages.
  * d/rules: Fail if binaries are missing.

  [ James Page ]
  * New upstream beta for Juno release.
  * d/control: Update Vcs locations for bzr branch.
  * d/control: Version debhelper correctly.
  * d/control: Bump Standards-Version, no changes.
  * d/control: Drop Pre-Depends for xz compression, no longer required.
  * d/trove-common.install: Install trove-fake-mode.
  * d/*.install: Split out configuration files alongside associated daemon
    binaries.
  * d/control,*.install: Use dh-exec to rename configuration files
    during installation.
  * d/*.logrotate: Add copyrotate option inline with Debian.
  * d/*.postinst,postrm.*: Tidy obsolete dbconfig and pkg_os from
    maintainer scripts.
  * d/trove-common.postinst: Tidy, only run db sync if sqlite is configured
    fix permissions on /var/log/trove (LP: #1308943).
  * d/*.init: Re-instate init files from Debian for future systemd migration.
  * d/trove-conductor.upstart: Use correct configuration file for conductor.
  * d/p/patch-default-config-file.patch: Correct paths for sqlite DB, tune
    down default logging level.
 -- James Page <email address hidden> Wed, 23 Jul 2014 11:14:58 +0100

Changed in openstack-trove (Ubuntu Utopic):
status: Fix Committed → Fix Released
Changed in openstack-trove (Ubuntu Trusty):
assignee: nobody → Gauvain Pocentek (gpocentek)
Changed in openstack-trove (Ubuntu Trusty):
assignee: Gauvain Pocentek (gpocentek) → nobody
Tom Fifield (fifieldt) on 2014-11-11
no longer affects: openstack-manuals
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers